Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.batchindexing
Class BatchIndexingWorkspace

    java.lang.Object
      org.hibernate.search.batchindexing.BatchIndexingWorkspace

All Implemented Interfaces:
  java.lang.Runnable

    public class BatchIndexingWorkspace

extends java.lang.Object
implements java.lang.Runnable

This runnable will prepare a pipeline for batch indexing of entities, managing the lifecycle of several ThreadPools.

Author:
  Sanne Grinovero

Constructor Summary
`BatchIndexingWorkspace(SearchFactoryImplementor searchFactoryImplementor, org.hibernate.SessionFactory sessionFactory, java.lang.Class<?> entityType, int objectLoadingThreads, int collectionLoadingThreads, org.hibernate.CacheMode cacheMode, int objectLoadingBatchSize, java.util.concurrent.CountDownLatch endAllSignal, MassIndexerProgressMonitor monitor, BatchBackend backend, long objectsLimit)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchIndexingWorkspace

    public BatchIndexingWorkspace(SearchFactoryImplementor searchFactoryImplementor,
                                  org.hibernate.SessionFactory sessionFactory,
                                  java.lang.Class<?> entityType,
                                  int objectLoadingThreads,
                                  int collectionLoadingThreads,
                                  org.hibernate.CacheMode cacheMode,
                                  int objectLoadingBatchSize,
                                  java.util.concurrent.CountDownLatch endAllSignal,
                                  MassIndexerProgressMonitor monitor,
                                  BatchBackend backend,
                                  long objectsLimit)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.